#
#---MKITEM.I     Write the item file(s)
#
#   Input:
#      inc(1)   conf num
#      inc(2)   item num
#      inc(4)   next item
#
#   Output:
#      inc(3)   name of variable containing list of last pages.
#               Add the last page # for this item onto
#               the end of the var.
#
#   Assumes conference has been joined, and that the item exists.
#
#: CR 10/28/98 12:06 CSNAP 1.0
#==========================================================================

#---Count number of PAGES of (non-deleted) responses; create
#   a response list (RLISTn) for each page.
set pages  1
set rlist0
set rlist1
count resp 0 $it_resps ($inc(1) $inc(2))
   if $re_exists ($inc(1) $inc(2) $(resp))
      if $gt_equal ($sizeof($(rlist$(pages))) $(pageresps))
         set pages $plus($(pages) 1)
         set rlist$(pages)
      end
      set rlist$(pages) $(rlist$(pages)) $(resp)
      set rlist0        $(rlist0)        $(resp)
   end
end

#---Build root for file name.
set fcnum $mac_expand (%digit4($inc(1)))

#---Create individual pages of item.
count page 1 $(pages)
   include showpage.i $(fcnum) $inc(2) $(page) $(pages) rlist$(page) $inc(4)
end
set   lastpagename  $inc(3)
set $(lastpagename) $($(lastpagename)) $(pages)

#---Create "all" (entire item) page.
#if $greater ($(pages) 1)
   include showpage.i $(fcnum) $inc(2) 0 0 rlist0 $inc(4)
#end

#==========================================================================
