#
#---PHASE2.I   Phase 2 of CSNAP.  Get TARGET directory for produced files.
#
#   Purpose:
#
#   How it works
#
#   Input: from user
#
#   Output: sets 'target', full path of target directory in which to
#      place static HTML files.
#
#   Notes:
#: CR 10/28/98 12:06 CSNAP 1.0
#
#==========================================================================

#---Phase 2: get TARGET directory to put snapshots.
"The static html (and other) files produced by CSNAP will be put
"into single directory, called the TARGET.  This directory must
"already exist.

while 1
   "
   "What is the TARGET?
   set target $readterm()

   if $empty ($(target))
      "Target is empty.  Quit? (y/n)
      set answer $str_sub (0 1 $lower ($readterm()))
      if $equal ($(answer) y)
         quit
      end
      "Please try again.
   end

   else
      set test $open ($(target)/index.html w)
      if $(test)
         eval $close ($(test))
         "'$(target)' appears to be a writable directory.
         "
         break
      end
      else
         "Cannot write to '$(target)'.  Please try again.
      end
   end
end
