#
#---LISTRESP.I     List item titles, responses, and entry points
#
#   Input:
#     $inc(1)   ilist    name of var containing triplet list of item numbers.
#     $inc(2)   check    1=>include check box for each item
#
#============================================================


set items_listed 0

#---Table column captions: item #, title, management?, New, Last.
"<TR>
"<TD></TD>
"<TD ALIGN=right><B>#</B></TD> 
"<TD WIDTH=4></TD>
 
"<TD COLSPAN=3>
  "<TABLE CELLSPACING=0 CELLPADDING=0 WIDTH=100% >
  "<TR >
  "<TD><NOBR><B>Title</B> (select to see entire item)</NOBR></TD>
  "<TD><IMG SRC="$(icon)/clearpix.gif" WIDTH=20></TD>
  "<TD ALIGN=center><B>Author<B></TD>
  "<TD><IMG SRC="$(icon)/clearpix.gif" WIDTH=10></TD>
  "<TD ALIGN=right><B>Manage?</B></TD>
  "</TABLE>
"</TD>

#"<TD WIDTH=10></TD>
"<TD ALIGN=center><B>New</B></TD>
#"<TD WIDTH=10></TD> 
"<TD ALIGN=center><B>Date</B></TD> 

#---Row for each item in '$inc(1)' list.
for cn inum rn in $($inc(1))
 set rcount $it_resps($(cn) $(inum))
 count response $(rn) $(rcount)
   if $re_exists ($(cn) $(inum) $(response))
      set is_organizer $equal ($cl_access($(cn)) 3)
      set can_manage   $or ($(is_organizer)  \
                            $equal ($re_owner ($(cn) $(inum) $(response)) $userid() ))
      set is_new       $or ($it_new($(cn) $(inum))  $it_unseen($(cn) $(inum)) )
      set rnew $plus($minus($it_resps($(cn) $(inum)) $it_newr($(cn) $(inum))) 1)
      if $not ($it_visib ($(cn) $(inum)))
         set is_new 0
         set rnew   0
      end
      set items_listed $plus ($(items_listed) 1)
   

      if  $equal ($(response) 0)
        "<TR VALIGN=top>
      end
      else
        "<TR VALIGN=top CELLPADDING=0>
      end  
 
      #---Some special applications get a checkbox in front of each item.
      if $and($equal (x$inc(2) x1) $equal ($(response) 0))
         "<TD ALIGN=center><INPUT TYPE=checkbox NAME=i$(inum)></TD>
      end
      else
         "<TD></TD>
      end
   
      #---Item number.
      if  $equal ($(response) 0)
        "<TD ALIGN=right><b>$(inum)</b></TD>
        "<TD></TD>
      end
      else
        "<TD></TD>
        "<TD ALIGN=LEFT><A HREF="viewitem.cml?$(nch)+$(nxt)+\
                    $(cn)+$(inum)+$(response)+0+1+x#here">
        if $it_visib ($(cn) $(inum))
           "$(inum).$(response)</A>
        end
        else
           "<I>$(inum).$(response)</I></A>
        end
        "</TD>

      end

   
      #---Item title.
      if  $equal ($(response) 0)
        "<TD><A HREF="viewitem.cml?$(nch)+$(nxt)+\
                    $(cn)+$(inum)+0+0+1+x#here">
        if $it_visib ($(cn) $(inum))
           "<b>$t2hbr($re_title($(cn) $(inum) $(response)))</b></A>
        end
        else
           "<I>$t2hbr($re_title($(cn) $(inum) $(response)))</I></A>
        end
        "</TD>
      end
      else
        "<TD><A HREF="viewitem.cml?$(nch)+$(nxt)+\
                    $(cn)+$(inum)+$(response)+0+1+x#here">
        set text $str_sub(0 45 $re_text($(cn) $(inum) $(response)))
        if $it_visib ($(cn) $(inum))
           "<SMALL>$t2hbr($replace(10 47 $(text)))</SMALL></A>
        end
        else
           "<I><SMALL>$t2hbr($replace(10 47 $(text)))</SMALL></I></A>
        end
        "</TD>
     end

      #---Item author
      "<TD><NOBR>
      if $it_visib ($(cn) $(inum))
         "<small>$t2hbr($re_author($(cn) $(inum) $(response)))</small></A>
      end
      else
         "<small><I>$t2hbr($re_author($(cn) $(inum) $(response)))</I></small></A>
      end
      "</NOBR></TD>

      #---Display checkmark icon for manageable items?
      "<TD>
      if $(can_manage)
         "<A HREF="imanage.cml?$(nch)+$(nxt)+$(cn)+$(inum)+$(response)+0+x+x"
         " ><IMG $(src_check) BORDER=0></A>
      end
      "</TD>
#      "<TD></TD>
   
   
      #---New items.  Display "new" icon.
      if $(is_new)
         "<TD><A HREF="viewitem.cml?$(nch)+$(nxt)+\
                       $(cn)+$(inum)+$(response)+0+1+x#here"
               "><IMG $(src_isnew) BORDER=0></A></TD>
#         "<TD></TD>
#         "<TD ALIGN=right><A HREF="viewitem.cml?\
#                          $(nch)+$(nxt)+$(cn)+$(inum)+$it_resps()+x+1+x#here">
#         "$it_resps()</A></TD>
      end
      else
         "<TD></TD>
      end
   
      #---Items with new responses
#      elif $(rnew)
#         "<TD ALIGN=right><A HREF="viewitem.cml?$(nch)+$(nxt)+\
#                        $(cn)+$(inum)+$it_newr()+x+1+x#here">$(rnew)</A></TD>
#         "<TD></TD>
#         "<TD ALIGN=right><A HREF="viewitem.cml?$(nch)+$(nxt)+\
#                   $(cn)+$(inum)+$it_resps()+x+1+x#here">$it_resps()</A></TD>
#      end
   
      #---Items with no new responses
#      else
#         "<TD></TD>
#         "<TD></TD>
#         "<TD ALIGN=right><A HREF="viewitem.cml?$(nch)+$(nxt)+\
#                   $(cn)+$(inum)+$it_resps()+x+1+x#here">$it_resps()</A></TD>
#      end

      #---List Dates
#      else
#         "<TD></TD>
#         "<TD></TD>
         "<TD ALIGN=left><SMALL>
         "<NOBR>$t2hbr($re_time($(cn) $(inum) $(response)))</NOBR>
         "</SMALL></TD>
#      end


    end
   end
end
#============================================================


