#
#---PER_SHOW.I     Display general information about a person.
#
#   Input:
#     arg(9)    userid of person
#--------------------------------------------------------------

#---Each field of info about them.
set picture $user_var ($arg(9) picture)
"<P>
"<TABLE $if ($not_empty ($(picture)) WIDTH=100%)>
"<TR VALIGN=top>
"<TD>Home Page:</TD>  <TD></TD>


set url $user_var($arg(9) homepage)
if $not_empty ($(url))
   set http $lower($word (1 $replace (/ 32 $(url))))
   if $not_equal ($(http) http:)
      set url http://$(url)
   end
end
"<TD>$t2url($(url))</TD>

if $not_empty ($(picture))
   "<TD ROWSPAN=7 ALIGN=right>
   "<IMG SRC="$(picture)" ALT="picture">
   "</TD>
end


"<TR>
"<TD>E-mail:</TD>  <TD></TD>
set e_mail $user_var($arg(9) e-mail)
if $and ($empty($(e_mail))  $not_empty($(guess_email)) )
   set e_mail $arg(9)@$(guess_email)
end
"<TD><A HREF="mailto:$(e_mail)">$(e_mail)</A></TD>

"<TR>
"<TD>Telephone:</TD>  <TD></TD>
"<TD> $per_phone($arg(9))</TD>

"<TR>
"<TD>Introduction:</TD>

set prohibited $(tag_list)
if $not_equal(x$conf_var($(vi_cnum) tag_list_user) x)
   set prohibited $conf_var($(vi_cnum) tag_list_user)
end
"<TR>
"<TD COLSPAN=3>
"<UL>
   "<FONT SIZE=-1>
#  "$wrap2html($per_intro($arg(9)))
#  if $not_empty ($per_intro($arg(9))
      "$cleanhtml (prohibited \
           $protect($mac_expand($wrap2html($per_intro($arg(9))))))
#  end
   "</FONT>
"</UL>
"</TD>

"<TR VALIGN=top>
"<TD>Last on Caucus:</TD><TD></TD>
"<TD>$per_laston($arg(9))</TD>

#---If we're in a conf, and the person is a member, when were they
#   last in it?
set lastin
if $not_equal ($arg(3) x)
   set lastin $per_lastin($arg(9) $arg(3) )
   if $not_empty ($(lastin))
      "<TR VALIGN=top>
      "<TD>In $(cname):</TD>
      "<TD></TD>
      "<TD>$(lastin)</TD>
   end
end
"</TABLE>

#---If we're an organizer, also show a button to remove the person.
if $and ($not_empty ($(lastin))  $greater ($cl_access($(cnum)) 2) )
   "<FORM METHOD=POST ACTION="rmpeople.cml?$(nch)+$(nxt)+\
                  $arg(3)+$arg(4)+$arg(5)+$arg(6)+$arg(7)+$arg(8)+$(uid)">
   "<INPUT TYPE=hidden NAME=rmpeople VALUE="$arg(9)">
   "<INPUT TYPE=SUBMIT NAME=submit   VALUE="Remove"> this person
   " from the conference.
   "<P>
   "<UL>
   " (Note: if you wish to prevent a removed user from re-joining,
   "  you must specifically exclude the user, from the
   " <A HREF="custom_users.cml?$(nch)+$(nxt)+$arg(3)+$arg(4)+$arg(5)+\
                                       $arg(6)+$arg(7)+$arg(8)">Customize
   " Users</A> page.)
   "</UL>
   "</FORM>
end


#---If we're in a conf, and the person is a member, put up buttons
#   to list items, so we can see how far they've read.
set items
if $not_empty($(lastin))
   "<FORM METHOD=POST NAME="isort"
   "      ACTION="person.cml?$(nch)+$arg(2)+$arg(3)+$arg(4)+$arg(5)+$arg(6)+\
                                    $arg(7)+$arg(8)+$arg(9)+$arg(10)#list">
   "<A NAME="list">Which items has $per_name($arg(9)) read?</A><BR>
   set ikey  $word (1 $form(ikey) none)
   set idata $form(idata)
   "<TABLE CELLSPACING=0 CELLPADDING=0>
   include $(dir)/iselect.i Check
   "<TD><INPUT TYPE="submit" NAME="submit" VALUE="Display"></TD>
   "</TABLE>

   #---The dirty work of actually listing the items...
   set iconf $arg(3)
   include $(dir)/iresolve.i
   if $not_empty ($(items))
      set isort $word (1 $form(code) 0)
      "<TABLE CELLSPACING=0 CELLPADDING=0>
      include $(dir)/columns.i
      include $(dir)/ilist.i  items  0  $(isort)  $quote($(columns))  $arg(9)
      "</TABLE>
   end
   "</FORM>
end
#--------------------------------------------------------------
