#
#---H_CUSTOMG.I    Help about "Customize : Greeting and Intro" page
#

set help_not_found 0

"<B>What Is It?</B><BR>
"The Customize $(cname) : Greeting and Introduction pages provide a conference 
"organizer with control over how the $(cname) conference is described,
"to prospective members and to members visiting the conference home page.

"<P>
"<B>What is on the Customize $(cname) : Greeting and Introduction Page?</B><P>
"<UL>
include $(helpdir)/h_pagetop.i
"</UL>
"<P>
"<FONT SIZE=+2><B>The Greeting</B></FONT><BR>
"In this section, Caucus shows you a text box, containing
"the conference <B>Greeting</B>.&nbsp;
"The greeting appears to all members of the conference, 
"on the $(cname) Home Page.
"<P>
"You may enter or edit the text in this box, just like you
"would a response on an Item page.&nbsp;
"You can just use a simple text Greeting, or, 
"like an item or response, you can include any
"kind of Web data&#151;see
"<A HREF="$(help)/h_itemcont.cml">More You Can Do</A>.&nbsp;
"<P>
"Use the <B>Greeting</B> as a way to remind people of the
"purpose of the conference, and as a place to post any 
"short bulletins about the conference.&nbsp;
"This could include pointers to special items, 
"short-lived announcements that everyone should know about,
"etc.
"<P>
"<B>Upload button:</B>&nbsp;
"You can use the Upload button to copy files from your computer
"or local network into Caucus, so that they can be displayed or
"linked from your Greeting.
"<P>

"<HR>
"<P>

"<FONT SIZE=+2><B>The Introduction </B></FONT><BR>
"In this section, Caucus shows you a text box containing
"the conference <B>Introduction</B>.&nbsp;
"The Introduction appears when a person is considering
"joining a conference&#151;i.e., the very first time that
"they click on your conference.&nbsp;
"Use the Introduction to describe the purpose of
"the conference, and why someone should (or should not)
"join the conference.
"<P>
"You may enter or edit the text in this box, just like you
"would a response on an Item page.&nbsp;
"You can just use a simple text Introduction, or, 
"like an item or response, you can include any
"kind of Web data&#151;see
"<A HREF="$(help)/h_itemcont.cml">More You Can Do</A>.&nbsp;
"<P>

"<HR>
"<P>
"<FONT SIZE=+2><B>The Conference Home Page Label</B></FONT><BR>
"In this section, you can define the language used to describe the main
"page of your conference.  By default, this page is called the "Home Page,"
"but some other name may be more appropriate for your application.<P>

"To change the name of your main conference page, enter a new label in the 
"text box provided.<P>
"<HR>
"<P>
"<B>Upload button:</B>&nbsp;
"You can use the Upload button to copy files from your computer
"or local network into Caucus, so that they can be displayed or
"linked from your Introduction.
"<P>
"<B>Make These Changes button:</B>&nbsp; 
"Once you have made changes to the text on this page,
"you <B>must press this button</B>
"to save them.&nbsp;
