#
#---H_MAN_USERS.I    Help about "Manage Individual Users" page
#

set help_not_found 0

"<B>What Is It?</B><BR>
"The $(help_about) page allows authorized managers to create Caucus userids,
"delete userids, and change user passwords.<P>

"This page contains sections for each of those functions, but you will only 
"see those you are authorized for.  For instance, if you are only authorized
"to change passwords, the create and delete users sections won't appear on
"this page.<P>

"<DL><DT><B>Create a new userid</B>
"<DD>To create a new Caucus user, enter a unique userid in the <B>Userid</B>
"field and type a password twice, once in the <B>Password:</B> field and 
"again in the <B>Verification</B> field.  The password will not appear as 
"plain text, so type carefully.  Press the <B>Create this user</B> button
"to complete the process.<P>
"The new user should log in soon with the userid and password that you give
"them so that they can set their name and other personal options.<P>

"<DT><B>Delete a userid</B>
"<DD>To delete a Caucus user, enter their userid in the <B>Userid</B> field
"and press the </B>Delete this user</B> button.  This process is not
"reversible, so type carefully.<P>

"<DT><B>Change a password</B>
"<DD>To change a user's password, enter their userid in the <B>Userid</B>
"field and type a password twice, once in the <B>Password:</B> field and
"again in the <B>Verification</B> field.  The password will not appear as
"plain text, so type carefully. Press the <B>Change Password</B> button
"to effect the change.<P>
"As a security measure, passwords of Caucus managers may only be changed
"by the primary manager.<P>