
/*** SYSTYPE.H.  Define the type of this system. */

/*: AA  7/29/88 17:47 Source code master starting point */
/*: NT  4/08/97 16:00 Revamp for Caucus 3.2. */

#ifndef SYSTYPE      /* #endif at end of file */
#define SYSTYPE 1

/*** Unix systems. */
#define  AIX41 0   /* IBM's  AIX 4.1 */
#define  BSD21 0   /* BSDI's BSD 2.1 */
#define  DEC32 0   /* DEC Unix (OSF/1) v 3.2 */
#define  FBS22 0   /* FreeBSD 2.2 */
#define  HPXA9 0   /* HP-UX A.9...*/
#define  IRX53 0   /* Silicon Graphics IRIX 5.3 */
#define  LNX12 1   /* Linux 1.2.13 */
#define  SOL24 0   /* Sun's Solaris 2.3 or 2.4 */
#define  SOL25 0   /* Sun's Solaris 2.5 */
#define  SUN41 0   /* Sun's old SunOS 4.1 */

/*** Implimentations of NT systems. */
#define  NUT40 0   /* Microsoft NT 4.0, with NutCracker SDK.  (Obsolete) */
#define  WIN32 0   /* Microsoft NT 4.0, using native Win32 services. */

#define  SYSV   AIX41 | DEC32 | IRX53 | SOL24 | SOL25
#define  UNIX   SYSV  | BSD21 | HPXA9 | LNX12 | SUN41 | FBS22

#endif      /* For SYSTYPE */
