
/*** DISPLAY_LICENSE.   Display the Caucus license information. */

/*: CR  3/29/99 17:30 New function, based on showlicense(). */

#include <stdio.h>
#include "caucus.h"

extern struct license_t license;

FUNCTION  display_license()
{
   int4   expires;
   int    year, month, day, hour, minute, sec, wday;
   char  *strplain();
   char  *months[] = {"JAN", "FEB", "MAR", "APR", "MAY", "JUN",
                      "JUL", "AUG", "SEP", "OCT", "NOV", "DEC", "XXX" };

   printf ("Customer Number: %s\n",  strplain(license.serial));
   printf ("Total Users:     %5d\n", PLAIN(license.totalusers));
   printf ("Maximum Confs:   %5d\n", PLAIN(license.confmax));

   expires = PLAIN(license.expires);
   if (expires) {
      sysymd (expires, &year, &month, &day, &hour, &minute, &sec, &wday);
      printf ("License Expires: %02d-%s-%4d  %02d:%02d\n",
                             day, months[month-1], year, hour, minute);
   }
   else printf ("License Expires: (never)\n");

   return (1);
}
