
/*** PRINT_CL.  Debugging display of master Clist.
/
/    print_cl ();
/   
/    Parameters:
/
/    Purpose:
/
/    How it works:
/
/    Returns:
/
/    Error Conditions:
/  
/    Known bugs:
/
/    Home:  printcl.c
/ */

/*** Copyright (C) 1997 Screen Porch LLC.  All rights reserved. */

/*: CR  4/09/95 15:18 New function. */
/*: CR  9/22/97 11:48 New function. */

#include <stdio.h>
#include "chixuse.h"
#include "sweb.h"
#include "api.h"

extern Clist g_cllist, g_clp;

FUNCTION  print_cl()
{
   Clist  ptr;
   char   temp[200];

   sprintf (temp, "total list: %s", ascquick(g_cllist->lname));
   logger  (1, LOG_FILE, temp);
   for (ptr=g_cllist->next;   ptr!=(Clist) NULL;   ptr=ptr->next) {
      sprintf (temp, "%-30s  %d  %d", ascquick(ptr->lname), 
                   ptr->cnum, ptr->access);
      logger (1, LOG_FILE, temp);
   }

   return (1);
}
