
/*** SYSFDCLOSE.  Close a file opened with sysfdopen().
/
/    sysfdclose (fd);
/ 
/    Parameters:
/       int    fd;      (file descriptor)
/
/    Purpose:
/       Close a file opened with sysfdopen().
/
/    Returns: 
/
/    Error Conditions:
/ 
/    Known bugs: 
/
/    Home:  sweb/sysfdclose.c
/ */

/*** Copyright (C) 1998 Screen Porch LLC.  All rights reserved. */

/*: CR  1/09/98 23:52 New function. */

#include "systype.h"

#if WIN32
#include <io.h>
#endif

void sysfdclose (int fd)
{

#if UNIX
   close (fd);
#endif

#if WIN32
   _close (fd);
#endif

}
