
/*** UNIQUE.   Return a unique number.
/
/    n = unique();
/   
/    Parameters:
/       int4   n;     (returned unique number)
/
/    Purpose:
/       Provide a source of always-unique numbers.
/
/    How it works:
/
/    Returns: continually increasing numbers
/
/    Known bugs:
/
/    Home:  sweb/unique.c
/ */

/*** Copyright (C) 1996 Screen Porch LLC.  All rights reserved. */

/*: CR 10/18/96 15:54 New function. */

#include <stdio.h>
#include "chixuse.h"
#include "sweb.h"

FUNCTION  int4 unique()
{
   static int4 next = L(0);

   return (++next);
}
