
/*** SYSMKHOST.  Make (create) a host directory.
/
/    Make the host directory for host number N.  */

/*** Copyright (C) 1991 Camber-Roth.  All rights reserved. */
/*** Copyright (C) 1996 Screen Porch LLC.  All rights reserved. */

/*: JV 12/10/91 18:08 Create this. */
/*: NT  4/08/97 16:00 Revamp for Caucus 3.2. */

#include "caucus.h"
#include "systype.h"
#include <stdio.h>

/*ARGSUSED*/

FUNCTION  sysmkhost (n)
   int    n;
{

#if UNIX | NUT40 | WIN32
   char   name[80];

   ENTRY ("sysmkhost", "");

   unit_name (name, XHDD, L(n), L(0), L(0), L(0), nullchix);
   sysmkdir  (name, 0700);
   RETURN (1);
#endif

}
