
/*** SYSRMCONF.  Remove (delete) a conference directory.
/
/    Delete the conference directory for conference number N,
/    and all the files under it. */

/*** Copyright (C) 1988 Camber-Roth.  All rights reserved. */
/*** Copyright (C) 1996 Screen Porch LLC.  All rights reserved. */

/*: AA  7/29/88 17:45 Source code master starting point */
/*: NT  4/08/97 16:00 Revamp for Caucus 3.2. */

#include <stdio.h>
#include "caucus.h"
#include "systype.h"
#include "unitwipe.h"

/*ARGSUSED*/

FUNCTION  sysrmconf (n)
   int    n;
{

#if UNIX | NUT40 | WIN32
   char   name[80];

   ENTRY ("sysrmcon", "");

   unit_name (name, XCDD, L(n), L(0), L(0), L(0), nullchix);

#if HPXA9 | WIN32
   unit_wipe (LCNF);
#endif

   sysrmdir  (name);
   RETURN (1);
#endif

}
