
/*** SYSTIME.  Returns absolute system time (in some constant units,
/    presumably seconds since some fixed date.) as a LONG int. */

/*** Copyright (C) 1983 Camber-Roth.  All rights reserved.  */
/*** Copyright (C) 1996 Screen Porch LLC.  All rights reserved. */

/*: AA  7/29/88 17:45 Source code master starting point */
/*: NT  4/08/97 16:00 Revamp for Caucus 3.2. */

#include <stdio.h>
#include <time.h>
#include "caucus.h"
#include "systype.h"

FUNCTION  int4 systime()
{

#if UNIX | NUT40
   ENTRY ("systime", "");
   RETURN ((int4) time (NULL) );
#endif


#if WIN32
   return (time (NULL));
#endif

}
