
/*** MDCREATE.   Create Master Dictionary file. */

/*: AA  7/29/88 17:58 Source code master starting point */
/*: JV  8/01/88 16:17 Added AOS code.*/
/*: CR 10/07/88 14:51 Change IM to use QuickC. */
/*: CR 11/22/88 20:41 Add new PN code. */
/*: CR 12/16/88 13:15 PN must have shareable dictionary. */
/*: CR  1/09/89 15:27 Add CVM code. */
/*: JV  3/06/89 15:43 Added CA. */
/*: CR  4/17/89 14:55 Added CX */

#include "caucus.h"
#include "systype.h"

#if NUT40
#include <fcntl.h>
#endif

#if WIN32
#include <fcntl.h>
#include <sys/types.h>
#include <sys/stat.h>
#endif

FUNCTION  mdcreate (name)
   char   name[];
{


/*--------------------------------------------------------*/
#if UNIX
   close   (creat (name, 0744));
   return  (open  (name,    2));
#endif

#if NUT40
   return  (open  (name, O_RDWR | O_CREAT | O_BINARY));
#endif

#if WIN32
   return  (_open (name, O_RDWR | O_CREAT | O_BINARY, _S_IREAD | _S_IWRITE));
#endif

}
