
/*** CI_INVALID.   Caucus Install: activation key invalid.
/
/    ci_invalid (page, vars);
/
/    Arguments:
/       int            page;
/       struct vars_t *vars;   (state variables)
/
/    Purpose:
/       Display "activation key invalid" page.
/
/    How it works:
/
/    Exit status:
/
/    Known bugs:      none
/
/    Home:  xins/ciinvalid.c
/ */

/*** Copyright (C) 1998 Screen Porch LLC.  All rights reserved. */

/*: CR 11/30/98 14:28 extracted from original ins2.c. */

#include <stdio.h>
#include "ins.h"

FUNCTION ci_invalid (int page, struct vars_t *vars )
{
   char  *valueof();

   htop (page, "Activation Key Invalid", "");
   printf ("<BLOCKQUOTE>\n");
   printf ("<FONT COLOR=RED><B>Your activation key is invalid.");
   printf ("</B></FONT>&nbsp; Please ");
   printf ("double-check the key you received via e-mail, \n");
   printf ("and try again.\n");
   printf ("<P>If it still does not work, ");
   printf ("please contact Caucus Systems Inc. at ");
   hsupport();
   printf (" for a new key.<P>\n");

   printf ("<P><FORM METHOD=POST ACTION=\"/cgi-bin/ins2.exe?%d\">\n",
            page+1);
   hvars  (vars, "submit");
   printf ("<TABLE>\n");
   printf ("<TR><TD><INPUT TYPE=SUBMIT NAME=submit VALUE='Try Again'></TD>\n");
   printf ("<TD>&nbsp;&nbsp;</TD>\n");
   printf ("<TD>Enter activation key again.</TD>\n");
   printf ("<TR><TD><INPUT TYPE=SUBMIT NAME=submit VALUE='Abort'></TD>\n");
   printf ("<TD></TD>\n");
   printf ("<TD>Cancel Caucus installation.</TD>\n");
   printf ("</TABLE>\n");
   printf ("</FORM>\n");
   printf ("</BLOCKQUOTE>\n");
   printf ("</BODY></HTML>\n");
   exit   (0);
}
