
/*** CI_NONTFS.   Caucus Install: no NTFS drives.
/
/    ci_nontfs (page, vars);
/
/    Arguments:
/       int            page;
/       struct vars_t *vars;   (state variables)
/
/    Purpose:
/       Display "No NTFS drives!" page.
/
/    How it works:
/
/    Exit status:
/
/    Known bugs:      none
/
/    Home:  xins/cinontfs.c
/ */

/*** Copyright (C) 1998 Screen Porch LLC.  All rights reserved. */

/*: CR 11/30/98 14:28 extracted from original ins2.c. */

#include <stdio.h>
#include "ins.h"

FUNCTION ci_nontfs (int page, struct vars_t *vars )
{
   char  *valueof();

   htop (page, "No NTFS Drives!", "");

   printf ("<P>\n");
   printf ("<BLOCKQUOTE>\n");
   printf ("<P><FORM METHOD=POST NAME='page2' "
           "ACTION=\"/cgi-bin/ins2.exe?100\">\n");
   printf ("<FONT COLOR=RED>Your system has no NTFS drives.</FONT>"
           "&nbsp; You must add an NTFS drive, or reformat an\n"
           "existing drive, in order to install Caucus.\n");
   printf ("<P><INPUT TYPE=SUBMIT NAME=submit VALUE=\"Abort\"></TD>\n");
   hvars  (vars, "submit");
   printf ("</FORM>\n");
   printf ("</BLOCKQUOTE>\n");
   printf ("</BODY>\n");
   printf ("</HTML>\n");
   exit   (0);
}
