
/*** FAILURE.  Report critical failure of installation to user.
/
/    failure (code, text);
/   
/    Parameters:
/       int     code;    (error code number)
/       char   *text;    (text of error message)
/  
/    Purpose:
/       Open a console window, report a critical installation error
/       to the user, and exit. 
/
/    How it works:
/
/    Home:  xins/failure.c
/ */

/*** Copyright (C) 1998 Screen Porch LLC.  All rights reserved. */

#include <windows.h>
#include <iostream.h>
#include "ins.h"

FUNCTION  failure (int code, char *text)
{
   char   temp[80];

   AllocConsole();
   printf ("\nCaucus Installer:\n\n");
   printf ("Error %d: %s\n", code, text);

   printf ("\nPress RETURN to exit.\n");
   gets   (temp);
   exit   (1);
}
