
/*** HFORMS.   Debugging tool: writes value of all CGI input
/
/    hforms (qstr, vars);
/ 
/    Parameters:
/       char          *qstr;   (query string)
/       struct vars_t *vars;   (forms variables)
/
/    Purpose:
/       Writes query string and forms variables to current HTML file
/       on STDOUT.
/
/    How it works:
/
/    Returns:
/
/    Home:  xins/hforms.c
/ */

/*** Copyright (C) 1998 Screen Porch LLC.  All rights reserved. */

/*: CR 11/12/98 14:28 1st version. */

#include <stdio.h>
#include "ins.h"

FUNCTION hforms (char *qstr, struct vars_t *vars)
{
   int   slot;

   printf ("<P>CGI Input data:<BR>\n");
   printf ("query_string = %s<BR>\n", qstr);
   for (slot=0;   slot < vars->used;   ++slot) {
      printf ("%s = %s<BR>\n", vars->name[slot], vars->value[slot]);
   }

   return (1);
}
