
/*** WHICH_DISK.   Which disk did the user select?  Get the index.
/
/    which = which_disk (drives, vars)
/
/    Arguments:
/       int            which;     (returned index into DRIVES)
/       char          *drives;    (array of disk drive letters)
/       struct vars_t *vars       (state variables)
/
/    Purpose:
/
/    How it works:
/
/    Exit status:
/
/    Known bugs:      none
/
/    Home:  xins/whichdisk.c
/ */

/*** Copyright (C) 1999 Screen Porch LLC.  All rights reserved. */

/*: CR  2/20/99 15:32 1st version. */

#include <stdio.h>
#include <fcntl.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <windows.h>
#include <iostream.h>
#include "ins.h"

FUNCTION which_disk (char *drives, struct vars_t *vars)
{
   char  temp[200], drivelet;
   int   ct;
   char *valueof();

   strcpy (temp, valueof("home", vars));
   drivelet = temp[0];
   if (drivelet >= 'A'  &&  drivelet <= 'Z')  drivelet += ('a' - 'A');

   for (ct=0;   drives[ct];   ++ct)
      if (drives[ct] == drivelet)  return (ct);

   return (-1);
}
