
/*** START.   Executable equivalent for Unix "start.cgi" script.
/
/    Invoked as:  (via CGI)
/       start.cgi
/
/    Arguments:
/
/    Purpose:
/       Used to replace start.cgi scripts where running a Unix
/       shell script is not an option.
/
/    How it works:
/
/    Exit status: 0 on success, 1 on failure.
/
/    Error Conditions:
/  
/    Known bugs:
/
/    Home:  sweb/start.c
/ */

/*** Copyright (C) 1997 Screen Porch LLC.  All rights reserved. */

/*: CR  7/01/97 23:31 New program. */

#include <stdio.h>
#define   FUNCTION

FUNCTION  main (int argc, char *argv[])
{
   char pathinfo[256], serverport[256], httphost[256];

   env_var  (pathinfo,   "PATH_INFO");
   env_var  (serverport, "SERVER_PORT");
   env_var  (httphost,   "HTTP_HOST");
   printf ("Location: http://%s:%s/%s?%s+0+x+x+x+x+x+x\n\n",
      httphost, serverport, "/sweb/swebsock.exe/0/0/SP40/caucus.cml",
      pathinfo);

   exit (0);
}
