$!
$!   KDIR.COM  --  Recursively delete (kill) a directory, and
$!   *everything* under it -- including other directories.
$!   KDIR must be defined as a foreign symbol.
$!
$ if p1 .nes. "" THEN goto start
$    write sys$output "Usage: KDIR directory_name (w/o extension)"
$    goto  done
$!
$start:
$ set noon
$ level = p2
$ if level .eqs. "" THEN level = 1
$!
$ set def [.'p1']
$loop:
$ dir = f$search ("*.dir", level)
$ if dir .eqs. "" then goto doneloop
$ brak = f$locate  ("]", dir)
$ part = f$extract (brak + 1, 1000, dir)
$ dot  = f$locate  (".", part)
$ name = f$extract (0, dot, part)
$ nextlevel = level + 1
$ kdir 'name' 'nextlevel'
$ goto loop
$!
$doneloop:
$!
$!--Now that we've killed off everything below this level, delete
$!--everything here and return up one level.
$ show def
$ set message/nofac/noid
$ set message/nosev/notext
$ set prot=(o:d) *.*;*
$ del *.*;*
$ set message/fac/id
$ set message/sev/text
$ set def [-]
$!
$ if level .gt. 1 THEN goto done
$    set prot=(o:d) 'p1'.dir
$    del 'p1'.dir;*
$done:
