$!---RELICENSE.   Relicense Caucus on this host.
$!
$!   Invoked as:
$!      @relicense
$!
$!   Purpose:
$!      Sometimes it is necessary to change the Caucus license information
$!      on a particular host.  This script makes it possible for the
$!      Caucus manager *on* that host to relicense Caucus.  All they
$!      need is the full license information, and a password supplied
$!      by Camber-Roth.
$!
$!   How it works:
$!      Asks all of the license questions, then runs 'lice2' to do
$!      the actual work.
$!
$!      Must be run from the "home" of the Caucus directory.
$!
$!: CR  1/29/93 16:01 New script.
$!: CR  2/05/93 16:39 Fix for Coherent, add credit.
$!: CR  6/03/93 15:53 Vax/VMS version.
$!: CR  6/15/93 17:50 Translate "'s to +'s.
$!----------------------------------------------------------------------------
$!
$ licensead=="18EDC"
$ licexfuad=="1517C"
$!
$ prompt=="[.bin2]prompt.com"
$ @[.bin2]cv2lice.com
$!
$!-------------
$ text=="Enter ship code prefix, e.g. 'TY01':        "
$ defa=="TY01"
$ @[.bin2]prompt.com
$ ship=="''answer'"
$!-------------
$ text=="Enter ship code suffix, e.g. '234' :        "
$ defa=="100"
$ @[.bin2]prompt.com
$ code=="''answer'"
$!-------------
$ text=="Enter password supplied by Camber-Roth:     "
$ defa=="xyz"
$ @[.bin2]prompt.com
$ password=="''answer'"
$!-------------
$!
$!---Translate any "s to +'s, else DCL will get confused.
$fix_password:
$ pos = f$locate("""",password)
$ if pos .gt. 6 then goto all_fixed
$    left = f$extract (0,pos,password)
$    rite = f$extract (pos+1,10,password)
$    password == left + "+" + rite
$    goto fix_password
$all_fixed:
$!
$ set message/nofac/noid
$ set message/nosev/notext
$ del patch.out;*
$ set message/fac/id
$ set message/sev/text
$!
$ set def [.bin2]
$ here = f$environment("default")
$ lice2 == "$''here'lice2.exe"
$!
$ lice2 caucus_x.exe "''password'" "''ship'" 'code' -
        -e 'expire' -u 'users' -f 'mask' 'sysid' -a 'licensead' -v patch.out
$ patch @patch.out
$ del *.jnl;*
$ del patch.out;*
$!
$ if f$search("xfu_x.exe", 1) .eqs. "" THEN goto done
$    lice2 xfu_x.exe "''password'" "''ship'" 'code' -
        -e 'expire' -u 'users' -f 'mask' "''sysid'" -a 'licexfuad' -v patch.out
$    patch @patch.out
$    del *.jnl;*
$    del patch.out;*
$!
$done:
$ set def [-]
$!------------------------------------------------------------------
