#
#---H_ADDITEM.I    Help about "Create Item" page
#

set help_not_found 0

"<B>What Is It?</B>

"<P>
"The Create Item Page is the place to add a new item of discussion to a 
"Caucus conference.

"<P>
"<B>What Can I Do From Here?</B>

"<P>
"At the Create Item Page you can create a new item and add it to the current
"conference.&nbsp;  
"You will give this item a title and enter some text to start
"the discussion of the new  item.

"<P>
"The rest of this help page describes the different parts of
"the Create Item Page in detail.

"<P><OL>

include $(helpdir)/h_pagetop.i

"<P><LI>
   "<B>Item Title</B>:&nbsp; 
   "In the long one-line text box, type the title of your new item.&nbsp;
   "Choose a title which clearly describes the purpose and content
   "of the new discussion, and is distinct from other items in the
   "conference.

"<P><LI>
   "<B>Item Text Box</B>:&nbsp; 
   "To create your new item, just click in the big text box
   "and start typing.&nbsp
   "Caucus will automatically "wrap" the lines for you, so you don't need
   "to hit RETURN at the end of every line. 
   "You can edit your text with the Backspace or Delete keys,
   "or use the mouse and the <B>Edit</B> menu at the top of your
   "browser window.
   "<P>
   "Write and edit your text until you are satisfied,
   "and then press one of the <B>Create</B> buttons (see below).&nbsp;
   "Start learning how to create items by writing
   "simple text items.&nbsp;  
   "Once you've mastered that, you'll find that there's a lot
   "<A HREF="$(help)/h_itemcont.cml">More You Can Do</a> in your
   "Caucus items.&nbsp;  
   "A Caucus item can include 
   "absolutely anything that can be on a Web page.

"<P><LI>
   "<B>Box width arrows</B>:&nbsp;
   "Use these to widen or narrow the text box in which you 
   "create your item.

"<P><LI>
   "<B>Create Buttons</B>:&nbsp;
   "Once you are satisfied with what you've written,
   "press one of the <B>Create</B> buttons to create your new item.
   "<UL>
   "<LI><B>Create + Go</B> creates your item and goes back to the 
   "Conference Home page.
   "<P>
   "<LI><B>Create + View</B> displays your new item.&nbsp;
   "If it doesn't look quite right, press the 
   "<A HREF="$(help)/h_edit.cml"><B>Edit</B> Button</A>, 
   "and work in the text box again.

"</OL>
