#
#---H_CUSTOMN.I    Help about "Customize: Conference Name" page
#

set help_not_found 0

"<B>What Is It?</B><BR>
"The Customize $(cname) : Conference Name page provides a conference 
"organizer with control over the name of the conference.

"<P>
"<B>What is on the Customize $(cname) : Conference Name Page</B><P>

"<UL>
include $(helpdir)/h_pagetop.i
"</UL>

"<P>

"<FONT SIZE=+2><B>Conference Name</B></FONT><BR>
"<P>Every Caucus conference has a unique name which identifies it and
"helps people to find it. Since a conference name is its most obvious
"distinguishing characteristic, changing that name is a drastic step.
"<P>
"You should be especially cautious about changing the name of a 
"conference that is in active use. Once you change a conference name, the
"conference will disappear from every personal conference list, and everyone
"who reads the conference (including yourself) will have to add the new
"name to their list in order to continue participating. It's usually a good
"idea to avoid this kind of confusion.
"<P>
"You may find it useful to rename your conference, however, if you've just 
"created it and have decided that the name isn't right.  If no one has joined
"the conference yet, you won't inconvenience anyone.
"<P>
"Another case where renaming might be useful involves a conference that is no
"longer being used. You can rename it as an archive, or to make way for a new 
"conference with the same name.
"<P>
"Whatever your goal, be sure you have thought through the implications before
"you change the name of your conference.
"<P>
"<P>
"This page tells you the current name of your conference and provides a 
"field in which you can type a new name. Enter your new conference name in the 
"field and press the Rename button to apply the change.
"<P>
"<B>Rename button:</B>&nbsp;
"Once you have specified a new conference name
"you <B>must press this button</B>
"to save it.&nbsp;

