#
#---H_PERSON.    Help about a Person Page
#

set help_not_found 0

"<B>What Is It?</B><BR>
"This page displays the personal information about $(help_about).

"<P>
"<B>What Can I Do From Here?</B><BR>
"You can read the information that $(help_about) has provided
"about him or her self.&nbsp;
"You can click on and go to their home page (if provided), 
"send them e-mail, or see how much of the current conference
"they have read.

"<P>
"<B>What is on the $(help_about) Page?</B><P>
"<UL>
include $(helpdir)/h_pagetop.i

"<P>
"<LI><B>Home Page:</B>&nbsp; This is a live link, if present.&nbsp;  
"Click on the link to go to the listed URL.

"<P>
"<LI><B>E-mail:</B>&nbsp; This too is a live link.&nbsp;  
"Click on it and a "mailto" window should open up, 
"allowing you to send an e-mail message to the person.&nbsp;  
"You may also cut and paste the e-mail address into your favorite 
"e-mail software.

"<P>
"<LI><B>Telephone:</B>&nbsp; This information may or may not be listed.

"<P>
"<LI><B>Introduction:</B>&nbsp; 
"Here, the person should have provided some indication of
"who he or she is, and what role he or she is plays in your organization or in
"the Caucus conferences at this site.

"<P>
"<LI><B>Image:</B>&nbsp;
"The page may also show a photo of the person or another image provided by the
"person.&nbsp;  

"<P>
"<LI><B>Last on Caucus:</B>&nbsp;
"This is the date and time that the person was last using Caucus.&nbsp;
"(If the date is followed by "(now)", the person is using Caucus
"at this moment.
"</UL>
"<P>
"<CENTER>
"<HR WIDTH=60%>
"</CENTER>

"<P>
"If you clicked on a person's name from "inside" a conference, 
"you will see additional information about the person's 
"participation in the current conference.
"<UL>
"<P>
"<LI><B>In Conference:</B>&nbsp;
"This is the date and time that the person last participated in
"the current conference.

"<P>
"<LI><B>How far has ... read?</B>&nbsp;
"You may also find out how much of the conference the person has seen.&nbsp;
"Choose one of the menu options
"(see <A HREF="$(help)/h_imenu.cml">Item Menu</A> for
"details) to see a summary of what the person has read (and not read).&nbsp;
"This will redisplay the page, 
"with an <B>Item List</B>, just like the one that appears
"on a conference Home Page&#151;only in this case, anything in the <B>New</B>
"column means "new to $(help_about)".
"</UL>

"<P>If you clicked on a person's name from "inside" a conference, and
"you are an organizer of that conference, you will see a button that allows 
"you to "Remove this person from the conference."  Pressing this button will
"remove them from the membership list (essentially doing a forced "Resign").
"They will be able to rejoin the conference, however, unless you explicitly
"exclude them from the conference user list.<P>
