#
#---TUTOR1.I     Text of tutorial page 1
#
#  $inc(1)       1 = talk about red quit button
#                2 = talk about close button
#----------------------------------------------------------------------

"<P>
"<A NAME="top">
"<H3>Welcome to the Caucus tutorial!</H3>
"</A>

"<P>
"The next few pages will take you on a short tour of conferencing
"with Caucus --
"what it is, what it's good for, how it's structured, 
"and how to use it.&nbsp;
"You can leave the tour 
if $equal ($inc(1) 1)
   "(and Caucus) at any time by clicking on the red <B>quit</B> button.
   "<P>
   "At the end of the tour, you'll go to the <B>$(center_name)</B>,
   "where you can start using the conferences on this host.&nbsp;
   
   "Or you can go there at any time, by clicking next
   "to the compass icon, above.
end
else
   "at any time by clicking on the <B>Close</B> button.
end


"<P>
"<H3><IMG SRC="$(img)/clearpix.gif" WIDTH=1 HEIGHT=15 ALT=""><BR>
"What is Caucus Conferencing?&nbsp;  What Good Is It?</H3>

"<P>
"Organizations thrive on information.&nbsp;  The group and team
"projects that determine organizational success work best
"when people can easily exchange information -- and create
"new information in that exchange.
"<P>
"Caucus conferencing provides a "virtual space" where people
"can do just that -- easily share information and create new
"information.&nbsp;  We call this virtual space a Conference Center.&nbsp;
"A conference
"is an online discussion among a group of people about some
"topic, process, or project.
"<P>
"A conference may be devoted to

"<UL>
"<LI>policy discussions and decision-making,
"<LI>managing a project, department or team,
"<LI>providing technical support,
"<LI>building community through feedback,
"<LI>distance education,
"</UL>

"among other purposes.&nbsp; 
"The participants in such a conference
"may be

"<UL>
"<LI>an executive committee,
"<LI>a project team,
"<LI>the employees of one department of an enterprise
"<LI>the citizens of a community.
"</UL>

"<P>
"<H3><IMG SRC="$(img)/clearpix.gif" WIDTH=1 HEIGHT=15 ALT=""><BR>
"How & When Does a Conference Happen?</H3>
"<P>
"Caucus allows conference participants to attend the
"conference "meetings" <B>at their own
"convenience.</B>&nbsp; 
"You don't have to be in one place; you don't
"even have to be on a computer at the same time as anyone else.

"<P>
"So, a conference can supplement or
"replace traditional meetings.&nbsp; Conference members can be
"scattered across a building or around the world.

"<P>
"Caucus allows conference participants to enter not only text,
"but also graphics,
"HTML, links to files and other information, audio, video --
"any information compatible with the Web.

"<P>
"The computer which hosts Caucus keeps a
"complete record of everything that takes place in the
"conference.&nbsp; 
"It also keeps a personal record of what
"you've seen, what's new, and what you're interested in.
