#
#---DOREGULAR.I     Process and send e-notification for a specific 
#                   "regular" (no individual notification sched) user.
#
#   Invoked as:
#      doregular.i
#
#   Input variables:
#      cnum      conference number
#      uid       userid
#      groups    item groups (list of duplets of item group T values
#                             and item triplet list variable names)
#
#   Purpose:
#
#   How it works:
#
#   Known bugs:
#
#   History of revisions:
#: CR  3/04/99 16:12 First version.
#----------------------------------------------------------------------------

#---Ensure user has e-mail!
if $empty ($user_var ($(uid) e-mail))
#  "
#  "------------------------
#  "No e-mail for $(uid)
   return
end

#---Ensure user still has access to conference
#   (Could be excluded while still a member)
if $less ($cl_access ($(cnum) $(uid)) 1)
#  "
#  "------------------------
#  "No access for $(uid)
   return
end

set mempty
set kind regular
include sendmail.i groups mempty

#----------------------------------------------------------------------------
