#
#---H_CUSTOM.I    Help about "Customize" page
#

set help_not_found 0

"<B>What Is It?</B><BR>
"The Customize $(cname) pages provide a conference 
"organizer with control over how the $(cname) conference works&#151;who may 
"participate, how the conference is described, and so forth.

"<P>
"<B>What is on the Customize $(cname) Page?</B><P>

"<OL>

include $(helpdir)/h_pagetop.i

"<P><LI>
"Below the page title are two links to detailed pages about
"the practice of organizing a conference.&nbsp;
"The <U>Guide for Conference Organizers</U> 
"can help make your conference more effective and achieve 
"your group's goals.&nbsp;  
"The <U>Conference Organizer's How To</U> provides more information on the 
"details of actual conference management.

"<P><LI>
"The rest of the $(help_about) page consists of links to the individual 
"customization pages.  You can select the links here for more information
"about each of the pages.
"<P>
"<DL>
"<DT><A HREF="$(help)/helpabou.cml?customu+Users">Users</A> 
"<DD>Modify the user list for the conference and set user options for 
"creating and modifying items and responses.<P>
"<DT><A HREF="$(help)/helpabou.cml?customg+Greeting_and_Introduction">
"Greeting and Introduction</A> 
"<DD>Set the introductory texts for users joining the conference and visiting 
"the conference home page.<P>
"<DT><A HREF="$(help)/helpabou.cml?customc+Colors">Colors</A> 
"<DD>Set the background, text, and link colors for this conference.<P>
"<DT><A HREF="$(help)/helpabou.cml?custome+E-mail_Participants">E-mail Participants</A> 
"<DD>Modify the options for users participating by email.
"<DT><A HREF="$(help)/helpabou.cml?customn+Conference_Name">Conference Name</A> 
"<DD>Change the name of this conference.<P>
"</DL>
"</OL>