#
#---H_MAN_CREATE.I    Help about "Manage: Create a Conference" page
#

set help_not_found 0

"<B>What Is It?</B><BR>
"The $(help_about) page allows authorized managers to create a new conference,
"specifying certain initial settings for the conference.  It consists of
"several parts:<P>

"<DL><DT><B>Enter the name for your conference:</B>
"<DD>In this field, you should enter the name of your conference as you 
"want it to appear on conference lists. (Conference names must be less than 
"80 characters long and contain only letters, numbers, or underscores.) <P>

"<DT><B>Enter the primary organizer for this conference:</B>
"<DD>The primary organizer is the person whose name is associated with the
"conference on the "Join this conference?" page and the conference home
"page.  Your userid appears here by default.  If someone else should be the
"primary organizer, type their userid in this field.<P>

"<DT><B>Enter the names of the initial organizers (other than the primary organizer):</B>
"<DD>If people other than the primary organizer need immediate access to 
"configure this conference, enter their userids (one per line) in this field.
"If you specified someone else as the primary organizer, you may want to enter
"your own userid here so that you can check to make sure that the conference
"was created properly.<P>


"<DT><B>Restore conference from archive:</B>
"<DD>You can create a new conference with the contents of an old conference
"that has been <A HREF=$(help)/helpabou.cml?man_archive+Archive_a_Conference>
"archived</A>.  Available conference archives are listed on the adjoining menu.
"If you wish to create a new, empty conference, leave this option alone.<P>

"<DT><B>Make me a member of this conference automatically.</B>
"<DD>If you want to bypass the joining process the first time you enter
"the new conference, check this option.<P>

"<DT><B>Put this conference on my personal conference list.</B>
"<DD>If you'd like this conference to appear on your personal conference
"list as soon as it is created, check this option.<P>

"<DT><B>Take me to the customization pages immediately.</B>
"<DD>If you'd like to go right to the 
"<A HREF=$(help)/helpabou.cml?custom+Customize_this_Conference>
"customization pages</A> for this conference as soon as it is created, 
"check this option.  Otherwise, you'll be taken back to the main
"management menu.<P>

"<DT><B>Create this Conference</B>
"<DD>Press this button to create the conference.
"</DL>