#
#---H_MAN_SWITCH.I    Help about "Manage Switches" page
#

set help_not_found 0

"<B>What Is It?</B><BR>
"The $(help_about) page allows authorized managers to modify the Caucus
""switches"&#151;a set of variables that control many global behaviors.<P>

"Caucus uses manager-configurable variables to customize many aspects of
"the user environment, from page colors to prohibited HTML tags.  The switches
"interface gives access to these settings. This interface replaces the
"manual editing of the switch.i file that managers of earlier versions
"of Caucus may be familiar with.<P>

"Each of the switches is accompanied by a detailed explanation of what it
"does and what the appropriate values are.  Remember that these changes 
"are global, affecting all conferences on the system.  Settings local to
"particular conferences should be set using the 
"<A HREF=$(help)/helpabou.cml?custom+Customize_Conference>customize</A>
"pages.<P>

"When you have changed the settings you're interested in, remember to 
"press the <B>Make Changes</B> button to save your changes.<P>

"Most Caucus switches are loaded at the beginning of a user's session, so 
"you may have to quit Caucus and log in again to see the results of your
"changes.<P>
