#
#---H_SEARCH.I    Help about "Search Page"
#

set help_not_found 0

"<B>What Is It?</B><BR>
"<B></B>The Search Items Page is meant to help you find specific discussions
"in the conferences that you read. If you remember a word or words from the 
"discussion, Search will help you locate the conversation you are looking 
"for.  Help is also available for the 
"<a href="$(help)/helpabou.cml?searchf+Search_Results">Search Results Page</a>.

"<P>
"<B>What Can I Do From Here?</B><BR>
"<B></B>At the Search Page you can give Caucus a word or words to look for in
"the items of the current conference, or&#151;if you're not in a 
"conference&#151; in any or all of the conferences in your personal 
"conference list. Simply answer the questions on the 
"page, press a button at the bottom of the page, and the search will begin.

include $(helpdir)/h_pagetop.i

"<P>
"The rest of this page describes in detail how to use the search page.

"<P><OL>
"<LI>
   "<B>Choose a conference:</B>&nbsp;
   "If you're currently in a particular conference, your search will
   "automatically apply to the current conference, and you won't see this
   "option.<P>
   "If you search from outside a conference, you'll have a menu of 
   "conferences to choose from.  You can click on a conference to select it,
   "or SHIFT-click on several conferences to search them all at once.  The 
   "conferences on this list are drawn from your personal conference list.

"<P><LI>
   "<B>Tell Caucus the word (or words) you're looking for:</B>&nbsp;
   "This is the first information Caucus needs.&nbsp;  
   "Click In the one-line text box and type the word or 
   "words you want Caucus to look for.&nbsp;  
   "Remember, Caucus will look in the 
   "current conference only.&nbsp;  
   "Type carefully, and spell these words correctly.

"<P><LI>
   "<B>Tell Caucus how to search:</B>&nbsp;
   "Do you want to find items or responses that contain <B>any one</B> of 
   "the words you typed?&nbsp;
   "Or should Caucus only show you those items or responses 
   "which include <B>all</B> of the words you have chosen?&nbsp;
   "Click on the choice you prefer.&nbsp;
   "(If you only typed one word, this choice does not matter.)

"<P><LI>
   "<B>Tell Caucus how to match words:</B>&nbsp;
   "Caucus will always find your word by itself.&nbsp;  
   "For example, if you typed "angle",
   "Caucus will find any item or response where the whole word appears.&nbsp;  
   "But Caucus also searches for words that include your word.&nbsp;  
   "Caucus will either find any word that <B>begins with</B> your word 
   "(e.g. find "angler" but not "triangle"), 
   "or it will find any word that includes 
   "your word <B>anywhere</B> inside itself (e.g. find both "angler" and 
   ""triangle").&nbsp;  
   "Click in the choice you prefer.<P>
   "Remember, if your search fails, you can always return, 
   "set your choices differently, and search again.

"<P><LI>
   "<B>Tell Caucus how many "hits" to display:</B>&nbsp;
   "Each item or response that contains the word(s) you're looking for
   "is called a "hit".&nbsp;
   "This choice controls how many "hits" to show on one page.&nbsp;
   "(If there are more hits than this, Caucus breaks up the results into
   "separate pages.)&nbsp;
   "Typically you can just leave this number as it is.
   "<P>
   "Note that where possible, Caucus only displays the part of the item or 
   "response immediately around the match&#151;not the whole response.

"<P><LI>
   "<B>Tell Caucus where to look:</B>&nbsp;
   "At the bottom of the page is an
   "<A HREF="$(help)/h_imenu.cml">Item Menu</A>.&nbsp;
   "Choose a particular option to search <B>those</B> items.
   "<P>
   "The most common choice is <B>All Items</B>; this searches the entire
   "conference.&nbsp;
   "If you have an idea where the word(s) are that you're looking for,
   "you can use the menu to speed up (or narrow) your search.&nbsp;
"</UL>
