#
#---CEN_PERS.I.    "Personal Conference List" part of Caucus center.
#
#  $inc(1)   paragraph number.
#-----------------------------------------------------------------------

"<TR VALIGN=top>
"<TD ALIGN=right><IMG SRC="$(icon)/clearpix.gif" HEIGHT=1 WIDTH=4>
                "<B>$inc(1)</B>.</TD>
"<TD WIDTH=3></TD>

#---If the user's pers conf list is empty, offer the chance to create one.
if $empty ($(m_confs))
   "<TD>
   "Create your own
   "<A HREF="myconfs.cml?$(nch)+$(nxt)+x+x+x+x+x+x+0">
   "Personal Conference List</A>.
   "</TD>
end

#---Otherwise, look at each conf in the pers conf list.
else
   "<TD>
   "  <B>Your Personal Conference List:</B>&nbsp;
   "  <A HREF="readnew.cml?$(nch)+$(nxt)" %help(h_read)>
   "read all new discussion</A>
   "  in your list, or
   "  <A HREF="myconfs.cml?$(nch)+$(nxt)+x+x+x+x+x+x+0" %help(h_pers)> 
   "   <NOBR>edit your list</NOBR></A>.
   "</TD>
   
   "<TR>
   "<TD></TD>
   "<TD></TD>
   "<TD>

   "<TABLE CELLSPACING=0 CELLPADDING=0>
     "<TR>
     
     #---Header above each column.
     "<TD WIDTH=15></TD>
     "<TD ><FONT SIZE=-1>Conference name:</FONT>
         "&nbsp;&nbsp;&nbsp;</TD>
     "<TD WIDTH=15></TD>
     "<TD ALIGN=right><FONT SIZE=-1># of Items with<BR>
     "                New discussion</FONT></TD>


     #---Did the user request "detailed listing" (from their personal
     #   information page)?  Else default to just one column of info per conf.
     set detail $user_var ($userid() item_detail)
     if $(detail)
        "<TD></TD>
        "<TD></TD>
        "<TD ALIGN=center><FONT SIZE=-1># of New<BR>Items</FONT></TD>
        "<TD></TD>
        "<TD></TD>
        "<TD ALIGN=right><FONT SIZE=-1># of New<BR>Responses</FONT></TD>
     end
     else
        "<TD WIDTH=45></TD>
     end

     #---For each conf in their list...
     set ismgr $bit_and ($word (2 $mgr_list($userid())) 12)
     for thisconf in $(m_confs)
        set cnum $cl_num($(thisconf))

        #---If the conf exists and we can access it...
        if $(cnum)
           set cname $upper1 ($replace (_ 32 $cl_name($(cnum))))
           if $cl_access($(cnum))
  
              #--- ...and if we're a member...
              "<TR>
              "<TD WIDTH=15></TD>
              if $it_member($(cnum))
     
                 #---Calculate # new items (INEW), # of new responses (RNEW),
                 #   and # of items with new responses (WNEW).
                 set inew $plus($it_inew($(cnum)) $it_iunseen($(cnum))) 
                 set rnew $it_rnew($(cnum))
                 set wnew $plus($it_wnew($(cnum)) $(inew))
  
                 #---Predefine URLs for all new material (ANEW), new items
                 #   (IREF), and new responses (RREF).
                 set aref
                 if $not_equal ($(wnew) 0)
                    set aref <A HREF="anew.cml?$(nch)+$(nxt)+\
                                      $(cnum)" %help(h_anew)>$(wnew)</A>
                 end
                 set iref
                 if $not_equal ($(inew) 0)
                    set iref <A HREF="inew.cml?$(nch)+$(nxt)+\
                                      $(cnum)" %help(h_inew)>$(inew)</A>
                 end
                 set rref
                 if $not_equal ($(rnew) 0)
                    set rref <A HREF="rnew.cml?$(nch)+$(nxt)+\
                                      $(cnum)" %help(h_rnew)>$(rnew)</A>
                 end
     
                 #---Conf name (and link to home page)
                 "<TD><A HREF="confhome.cml?$(nch)+$(nxt)+\
                            $(cnum)+x+x+x+x+x" %help(h_cname)>$(cname)</A></TD>
                 "<TD></TD>

                 #---Links to simple or detailed new material.
                 "<TD ALIGN=right>$(aref)</TD>
                 if $(detail)
                    "<TD></TD>
                    "<TD></TD>
                    "<TD ALIGN=right>$(iref)</TD>
                    "<TD></TD>
                    "<TD></TD>
                    "<TD ALIGN=right>$(rref)</TD>
                 end
              end

              #---Not a member, just say so.
              else
                 "<TD><A 
                 "     HREF="join.cml?$(nch)+$(nxt)+x+$(cnum)+x+x+x+x"
                 "     %help(h_join)>$(cname)</A></TD>
                 "<TD></TD>
                 "<TD ALIGN=right><FONT SIZE=-1>(not a member)</FONT></TD>
              end
           end

           #---Not accessible, but visible -- show conf name w/o link.
           else
              if $or ($cl_visible($(cnum)) $(ismgr))
                 "<TR><TD></TD><TD>$(cname)</TD>
              end
           end
        end
     end
   "</TABLE>
   "</TD>
end
