#
#---LOCATION.I      Location Bar.
#
#   Assumes we are "inside" a table.
#
#   Input:
#
#     $inc(1-9)      Current page title
#---------------------------------------------------------------------
#

#---Vertical drop: space before compass bar, and vertical spacing of text
#   within compass bar.
set dropbar   6
set dropline 26

#---Simple case: at the Caucus Center.
if $and ($equal ($arg(3) x) $empty($inc(1)) )
   "<TABLE WIDTH=100% CELLSPACING=0 CELLPADDING=0>
   "<TR><TD ALIGN=left>
   "   <TABLE CELLSPACING=0 CELLPADDING=0>
   "   <TR><TD><IMG $(src_compass)>&nbsp;</TD>
   "   <TD><B>$(center_name)</B></TD>
   "</TABLE>
   "<TD ALIGN=right VALIGN=MIDDLE>
   include $(dir)/youare.i
   "</TD>
   "</TABLE>
end

#---Anywhere outside "Caucus Center", the caucus center must be clickable.
else
  
   "<TABLE CELLSPACING=0 CELLPADDING=0 WIDTH=100%>
   "<TR><TD ALIGN=left>
   "<TABLE CELLSPACING=0 CELLPADDING=0>
   "<TR><TD><IMG $(src_compass)>&nbsp;</TD>
   "<TD>
   "<FONT SIZE=-1><NOBR>
   "<A HREF="center.cml?$(nch)+$(nxt)+x+x+x+x+x+x" %help(h_location)>
   "$(center_name)</A>
  
   #---At an item (or deeper), right-justify everything after "Caucus Center".
  
   #---At a conference (or deeper)...
   if $not_equal ($arg(3) x)
      "$(compass_arrow)
  
      #---Below a conf home page, make conf home page clickable.
      set cname $upper1 ($replace (_ 32 $cl_name($arg(3))))
      if $and ($equal ($arg(4) x) $empty ($inc(1)) )
         "<A HREF="#top" %help(h_location)>$(cname)</A>
      end
      else
         "<A HREF="confhome.cml?\
             $(nch)+$(nxt)+$arg(3)+x+x+x+x+x" %help(h_location)>\
             $(cname)</A></NOBR>
      end
  
      #---At an item or deeper, put up item title.
      if $not_equal ($arg(4) x)
         "$(compass_arrow)
         "<A HREF="viewitem.cml?\
           $(nch)+$(nxt)+$arg(3)+$arg(4)+0+0+$arg(7)+$arg(8)#here" \
           %help(h_location)>
         "Item $arg(4)</A>

  
         #---At a response or deeper, put up response number.
         if $and ($not_equal ($arg(5) x)  $not_equal ($arg(5) 0) )
            "<NOBR>$(compass_arrow) <A HREF="viewitem.cml?$(nch)+\
              $(nxt)+$arg(3)+$arg(4)+$arg(5)+$arg(6)+$arg(7)+$arg(8)#here"
            " %help(h_location)>Resp $arg(5)</A></NOBR>
         end
      end
   end
  
   #---Finally, if we're at a function page, display it.
   if $not_empty ($inc(1))
      "$(compass_arrow)
      "<A HREF="#top" %help(h_location)>$inc(1) $inc(2) $inc(3) $inc(4)\
                      $inc(5) $inc(6) $inc(7) $inc(8) $inc(9)</A>
   end
  
   "</FONT></TD>
   "</TABLE></TD>
   "<TD>&nbsp;</TD>
   "<TD WIDTH=30% ALIGN=right VALIGN=CENTER>
   include $(dir)/youare.i
   "</TD>
   "</TABLE>
end
#---------------------------------------------------------------------
