/*** LIST_EDITORS.   Display a list of the allowed editors in TABLE. */

/*** Copyright (C) 1986 Camber-Roth.  All rights reserved.  */

/*: AA  7/29/88 17:32 Source code master starting point */
/*: CW  5/18/89 15:20 Add XW unit codes. */
/*: JV 11/13/90 18:15 Replace global mtu[] with dynamic string. */
/*: CR 10/10/91 20:47 Sysfree tmptext before returning! */
/*: JX  5/16/92 16:40 Chixify. */
/*: JV  6/18/93 15:52 Chxclear before chxformat. */

#include "caucus.h"
#include <stdio.h>

extern union  null_t  null;

FUNCTION  list_editors (table)
   Chix  table;
{
   Chix   name, tmptext;
   short  i;

   ENTRY ("listeditors", "");

   name = chxalloc (L(40), THIN, "list_ed name");
   tmptext = chxalloc (L(100), THIN, "list_ed tmptext");

   mdwrite (XWTX, "ced_Tokeds", null.md);

   for (i=1;   chxtoken (name, nullchix, i, table) != -1;   ++i) {
      chxclear  (tmptext);
      chxformat (tmptext, CQ("%-12s"), L(0), L(0), name, nullchix);
      unit_write (XWTX, tmptext);

      if (i%5 == 0)  unit_write (XWTX, CQ("\n"));
   }
   unit_write (XWTX, CQ("\n\n"));

   chxfree (name);
   chxfree (tmptext);

   RETURN  (1);
}
