
/*** PRIMARY_ORG.  Is this USERID the primary organizer of this conf? */

/*** Copyright (C) 1990 Camber-Roth.  All rights reserved.  */

/*: CR  7/17/90 12:01 New function. */
/*: CR  4/08/91 18:49 Add new unit_lock argument. */
/*: CR 11/19/91 17:42 Use equal_id() to check for primary org. */
/*: UL 12/11/91 18:43 Make unit_lock args 3-6 int4.*/
/*: DE  3/23/92 13:24 Chixified */
/*: DE  6/01/92 17:22 Add maxlen arg to unit_read */

#include <stdio.h>
#include "caucus.h"

extern short  confnum;

FUNCTION  primary_org (userid)
   Chix   userid;
{
   Chix   name;
   int    is_org, success;

   ENTRY ("primary_org", "");

   name     = chxalloc (L(200), THIN, "primaryo name");
   success  = 0;

   chxclear(name);
   if (unit_lock (XCMA, READ, L(confnum), L(0), L(0), L(0), nullchix)) {
      if (unit_view (XCMA)) {
         unit_read  (XCMA, name, L(0));
         unit_close (XCMA);
      }
      unit_unlk (XCMA);
   }
   is_org = equal_id (userid, name, nullchix);

   DONE(is_org);

 done:

   chxfree ( name );

   RETURN ( success ); 
}
