
/*** LOAD_USER.  Load the user participation file for the given conference.
/
/    LOAD_USER returns:
/      1 if the user's file was successfully loaded;
/      0 if the user's file does not exist (new participant)  */

/*** Copyright (C) 1985 Camber-Roth.  All rights reserved.  */

/*: AA  7/29/88 17:41 Source code master starting point*/
/*: JV  3/27/90 12:48 Removed unnecessary declaration of screen & mtu. */
/*: DE  6/01/92 17:00 Patched unit_read */

#include "caucus.h"

FUNCTION  load_user (thisconf)
   struct partic_t  *thisconf;
{
   short  i, list[80];

   ENTRY ("load_user", "");

   if (NOT unit_view (XUPA))  RETURN (0);

   unit_read (XUPA, thisconf->lastin, L(0));
   unit_short(XUPA, &thisconf->items, 1);
   for (i=0;  i<MAXITEMS;     ++i) {
      thisconf->responses[i] = -1;
      thisconf->backresp [i] =  0;
   }

   for (i=1;  i<=thisconf->items;  ++i)  {
      unit_short (XUPA, list, 2);
      thisconf->responses[i] = list[0];
      thisconf->backresp [i] = list[1];
   }
   unit_close(XUPA);

   RETURN (1);
}
