
/*** REMOVE_CL.  Remove an entry from the master Clist.
/
/    ok = remove_cl (cnum);
/   
/    Parameters:
/       int4        cnum;    (conf number)
/
/    Purpose:
/
/    How it works:
/
/    Returns: 1 on success
/             0 if CNUM not relevant
/
/    Error Conditions:
/  
/    Known bugs:
/
/    Home:  touchcl.c
/ */

/*** Copyright (C) 1997 Screen Porch LLC.  All rights reserved. */

/*: CR  9/17/97 17:20 New function. */

#include <stdio.h>
#include "chixuse.h"
#include "sweb.h"
#include "api.h"

extern Clist g_cllist, g_clp;

FUNCTION  remove_cl (int4 cnum)
{
   Clist  remove;
   ENTRY ("remove_cl", "");

   /*** Normal scan through g_cllist to find predecessor to CNUM. */
   for (g_clp=g_cllist;   g_clp!=(Clist) NULL;   g_clp=g_clp->next) {
      if (g_clp->next->cnum == cnum)  {
         remove = g_clp->next;
         g_clp->next = remove->next;
         remove->next = (Clist) NULL;
         a_fre_clist (remove);
         RETURN(1);
      }
   }

   RETURN(1);
}
