
/*** SYSMEM.  Allocate a block of B bytes of memory.
/
/    SYSMEM allocates the requested block, aligned for any data type,
/    and RETURNs a pointer to the block.  SYSMEM will almost certainly
/    always be just a call to MALLOC, but just in case... */

/*: AA  7/29/88 17:45 Source code master starting point */
/*: NT  4/08/97 16:00 Revamp for Caucus 3.2. */

#include <stdio.h>
#include "caucus.h"
#include "systype.h"

FUNCTION  char *sysmem (b)
   int4   b;
{
#if UNIX | NUT40 | WIN32
   char   *calloc();

   return (calloc (1, (unsigned) (b + 2) ));
#endif
}
