
/*** SYSUNLINK.  System-dependent "delete file" procedure. */

/*** Copyright (C) 1984 Camber-Roth.  All rights reserved. */
/*** Copyright (C) 1996 Screen Porch LLC.  All rights reserved. */

/*: AA  7/29/88 17:46 Source code master starting point */
/*: NT  4/08/97 16:00 Revamp for Caucus 3.2. */

#include <stdio.h>
#include "caucus.h"
#include "systype.h"

extern int debug;

FUNCTION  sysunlink (file)
   char file[];
{
   int  code;

#if UNIX | NUT40
   ENTRY ("sysunlink", "");
   unlink (file);
   code = 1;

   RETURN (code);
#endif


#if WIN32
   return (_unlink (file) == 0);
#endif

}
