
/*** DICRENAME.  Renames file A to file B.
/
/    Returns 1 if successful, and 0 otherwise.
/
/  */

/*** Copyright (C) 1986 Camber-Roth.  All rights reserved. */

/*: JV  2/16/89 10:09 Needed because SRV can't use syscopy. */
/*: CR  4/17/89 14:51 Remove CX from "UNIX | CX". */
/*: CR  7/05/89 15:42 Modify VV #include syntax to pass other compilers. */
/*: JV 10/31/89 12:30 Change CA code to warn if couldn't rename proplerly.*/
/*: CR  4/25/91 13:32 Ultrix code resets file permissions. */
/*: CR  9/05/92 12:35 Make MV like UL. */

#include <stdio.h>
#include "caucus.h"
#include "systype.h"

extern int debug;

FUNCTION  dicrename (a, b)
   char   a[], b[];
{


#if UNIX
   ENTRY  ("dicrename", "");
   if (link (a, b) < 0)  syscopy (a, b);
   unlink (a);
   RETURN (1);
#endif


#if NUT40 | WIN32
   return (rename (a, b) == 0);
#endif

}
