
/*** ADDVAR.   Add a variable name and value to the VARS table.
/
/    addvar (vars, name, value);
/ 
/    Parameters:
/       struct vars_t *vars;  (variable table to be filled-in)
/       char          *name;  (name  of new variable)
/       char          *value; (value of new variable)
/
/    Purpose:
/
/    How it works:
/
/    Returns:
/
/    Home:  xins/addvar.c
/ */

/*** Copyright (C) 1998 Screen Porch LLC.  All rights reserved. */

/*: CR 11/12/98 20:26 New function, derived from sweb formsing.c */

#include "ins.h"


FUNCTION addvar (struct vars_t *vars, char *name, char *value)
{
   int   slot;

   for (slot=0;   slot < vars->used;   ++slot) {
      if (streq (name, vars->name[slot]))  return (0);
   }

   if (vars->used >= vars->max - 2)        return (0);

   slot = vars->used++;
   strcpy (vars->name [slot], name);
   strcpy (vars->value[slot], value);

   return (1);
}
