
/*** CI_ACTIV.   Caucus Install: put up "get activation key" page.
/
/    ci_activ (page, vars);
/
/    Arguments:
/       int            page;
/       struct vars_t *vars;   (state variables)
/
/    Purpose:
/       Display "get activation key" page.
/
/    How it works:
/
/    Exit status:
/
/    Known bugs:      none
/
/    Home:  xins/ciabort.c
/ */

/*** Copyright (C) 1998 Screen Porch LLC.  All rights reserved. */

/*: CR 11/30/98 14:28 extracted from original ins2.c. */

#include <stdio.h>
#include <fcntl.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <windows.h>
#include <iostream.h>
#include "ins.h"

FUNCTION ci_activ (int page, struct vars_t *vars )
{
   char  *valueof();

   htop   (page, "Installing Caucus", "");
/* hforms (value, vars); */

   printf ("<BLOCKQUOTE>\n");
   printf ("<P><B>Welcome to the Caucus Installation procedure for ");
   printf ("Windows/NT 4.0.</B>\n");
   printf ("<P>This procedure will install and start Caucus 4.1 on your ");
   printf ("NT server.&nbsp;\n");
   printf ("You may also use it to upgrade a previous installation of ");
   printf ("Caucus, including any trial versions.&nbsp; (Any conferences ");
   printf ("you previously created will remain, unharmed.)\n");

   printf ("<P>When you downloaded your Caucus kit, you should have ");
   printf ("received an <B>activation key</B> via e-mail.&nbsp;\n");
   printf ("Please enter it in the box below.&nbsp; ");
   printf ("(If you did not receive an activation key, please contact ");
   printf ("Caucus Systems Inc. at ");
   hsupport();
   printf (".)\n");

   printf ("<P><FORM METHOD=POST ACTION=\"/cgi-bin/ins2.exe?%d\" "
           "NAME=activator>\n", page+1);
   hvars  (vars, "actkey submit");

   printf ("<TABLE CELLSPACING=0 CELLPADDING=0 WIDTH=\"75%%\">\n");
   printf ("<TR VALIGN=top><TD COLSPAN=2><TD>Enter activation key:&nbsp; ");
   printf ("<INPUT TYPE=TEXT NAME=actkey SIZE=22 VALUE='%s'></TD>\n",
            valueof("actkey", vars));

   printf ("<TR><TD>&nbsp;</TD>\n");
   printf ("<TR><TD><INPUT TYPE=SUBMIT NAME=submit VALUE='Next'></TD>\n");
   printf ("<TD>&nbsp;&nbsp;</TD>\n");
   printf ("<TD>Continue on to next step.</TD>\n");

   printf ("<TR><TD>&nbsp;</TD>\n");
   printf ("<TR VALIGN=top><TD>"
           "<INPUT TYPE=SUBMIT NAME=submit VALUE='Abort'></TD>\n");
   printf ("<TD></TD>\n");
   printf ("<TD>If you can not get your activation key now, you can\n");
   printf ("abort your installation and try again later.</TD>\n");
   printf ("</TABLE>\n");

   printf ("<P></BLOCKQUOTE></BODY>\n");
   printf ("</HTML>\n");
   exit   (0);
}
