
/*** CI_CREWAIT.   Wait for creation of userid to complete.
/
/    ci_crewait (page, vars);
/
/    Arguments:
/       int            page;
/       struct vars_t *vars;      (state variables)
/
/    Purpose:
/
/    How it works:
/
/    Exit status:
/
/    Known bugs:      none
/
/    Home:  xins/cicrewait.c
/ */

/*** Copyright (C) 1999 Screen Porch LLC.  All rights reserved. */

/*: CR  2/20/99 13:36 New function. */

#include <stdio.h>
#include <fcntl.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <windows.h>
#include <iostream.h>
#include "ins.h"

FUNCTION ci_crewait (int page, struct vars_t *vars)
{
   char  *valueof();

   printf ("Content-type: text/html\n\n");
   printf ("<HTML>\n");
   printf ("<HEAD><TITLE>%d.%d %s</TITLE>\n", page/100,
            (page%100)/10, "Waiting for account creation");
   printf ("<SCRIPT LANGUAGE='JavaScript'>\n");
   printf ("   function nextcall() {\n");
   printf ("      document.activator.submit();\n");
   printf ("   }\n");
   printf ("</SCRIPT>\n");
   printf ("</HEAD>\n");

   printf ("<BODY BGCOLOR=\"#FFFFFF\" "
           "onLoad='setTimeout(\"nextcall()\", 20000);'>\n");
   printf ("<TABLE WIDTH='100%%' CELLSPACING=0 CELLPADDING=0>\n");
   printf ("<TR><TD><FONT SIZE=+2><B>%d.%d %s</B></FONT></TD>\n", 
             page/100, (page%100)/10, "Waiting for account creation");
   printf ("<TD ALIGN=right><A HREF='http://caucussystems.com' TARGET='_blank'>"
           "<IMG SRC='/lcaucus3.gif'\n"
           " WIDTH=192 HEIGHT=50 ALIGN=right BORDER=0></A></TD>\n");
   printf ("</TABLE>\n");

   printf ("<BLOCKQUOTE>\n");
   printf ("Please wait while the account '%s' is being created.",
            valueof("uid", vars));

   printf ("<P><FORM METHOD=POST ACTION=\"/cgi-bin/ins2.exe?%d\" "
           "NAME=activator>\n", page);
   hvars  (vars, "submit");

   printf ("If this does not complete in a reasonable amount of time, \n");
   printf ("press <INPUT TYPE=SUBMIT NAME=submit VALUE=\"Abort\">&nbsp; ");
   printf ("to cancel the installation of Caucus.\n");

   printf ("</FORM>\n");
   printf ("<P></BLOCKQUOTE></BODY>\n");
   printf ("</HTML>\n");
   exit   (0);
}
