
/*** CI_EXPIRE.   Caucus Install: activation key expired.
/
/    ci_expire (page, vars);
/
/    Arguments:
/       int            page;
/       struct vars_t *vars;   (state variables)
/
/    Purpose:
/       Display "activation key expired" page.
/
/    How it works:
/
/    Exit status:
/
/    Known bugs:      none
/
/    Home:  xins/ciexpire.c
/ */

/*** Copyright (C) 1998 Screen Porch LLC.  All rights reserved. */

/*: CR 11/30/98 14:28 extracted from original ins2.c. */

#include <stdio.h>
#include "ins.h"

FUNCTION ci_expire (int page, struct vars_t *vars )
{
   char  *valueof();

   htop (page, "Activation Key Expired", "");
   printf ("<BLOCKQUOTE>\n");
   printf ("<FONT COLOR=RED><B>Your activation key has expired");
   printf (".</B></FONT>&nbsp;\n");
   printf ("It must be used within 7 days of receipt.&nbsp;\n");
   printf ("<P>Please contact Caucus Systems Inc. at ");
   hsupport();
   printf (" for a new key.<P>\n");

   printf ("<P><FORM METHOD=POST ACTION=\"/cgi-bin/ins2.exe?%d\">\n",
            page+1);
   hvars  (vars, "submit");

   printf ("<TABLE>\n");
   printf ("<TR><TD><INPUT TYPE=SUBMIT NAME=submit VALUE='Try Again'></TD>\n");
   printf ("<TD>&nbsp;&nbsp;</TD>\n");
   printf ("<TD>Enter activation key again.</TD>\n");
   printf ("<TR><TD><INPUT TYPE=SUBMIT NAME=submit VALUE='Abort'></TD>\n");
   printf ("<TD></TD>\n");
   printf ("<TD>Cancel Caucus installation.</TD>\n");
   printf ("</TABLE>\n");

   printf ("</FORM>\n");
   printf ("</BLOCKQUOTE>\n");
   printf ("</BODY></HTML>\n");
   exit   (0);
}
