
/*** CI_WHATID.   Caucus Install: what id to install caucus in?
/
/    ci_whatid (page, vars);
/
/    Arguments:
/       int            page;
/       struct vars_t *vars    (state variables)
/
/    Purpose:
/       What id (and home directory) should we install caucus in?
/
/    How it works:
/
/    Exit status:
/
/    Known bugs:      none
/
/    Home:  xins/ciwhatid.c
/ */

/*** Copyright (C) 1998 Screen Porch LLC.  All rights reserved. */

/*: CR 12/28/98 14:28 New function. */

#include <stdio.h>
#include "ins.h"

FUNCTION ci_whatid (int page, struct vars_t *vars)
{
   char   uid[100], home[200], temp[200];
   int    token, multiple;
   char  *valueof();
   char  *strtoken();

   htop    (page, "Where to install?", "");
/* hforms (value, vars); */

   printf ("<BLOCKQUOTE>\n"
     "<FORM METHOD=POST ACTION=\"/cgi-bin/ins2.exe?%d\" NAME=whatuid>\n",
        page+1);
   hvars  (vars, "submit");
   printf ("<P>To ensure proper security, Caucus <B>requires</B> that it \n"
     "have its own, dedicated, NT user account with a home directory.&nbsp;\n"
     "The home directory must be on an NTFS file system.\n");
   printf ("<P>Please choose one of the options below:<P>\n");

   printf ("<TABLE>\n<TR>\n<TD>&nbsp;&nbsp;</TD>\n");
   printf ("<TD><INPUT TYPE=SUBMIT NAME=submit VALUE=\" A \">&nbsp;</TD>\n"
     "<TD>Create a new NT account right now.</TD>\n");
   printf ("<TR><TD></TD>\n"
     "<TD><INPUT TYPE=SUBMIT NAME=submit VALUE=\" B \">&nbsp;</TD>\n"
     "<TD>Use an existing account.</TD>\n");
/*
   printf ("<TR><TD></TD>\n"
     "<TD><INPUT TYPE=SUBMIT NAME=submit VALUE=\" C \">&nbsp;</TD>\n"
     "<TD>Create an account with the NT user manager, "
     "and use that account.</TD>\n");
*/
   printf ("<TR><TD>&nbsp;</TD>\n");
   printf ("<TR><TD></TD>\n"
     "<TD><INPUT TYPE=SUBMIT NAME=submit VALUE=\"Abort\">&nbsp;</TD>\n"
     "<TD>Cancel Caucus installation.</TD>\n");
   printf ("</TABLE>\n</FORM>\n</BLOCKQUOTE>\n</BODY>\n</HTML>\n");
   exit   (0);
}
