
/*** DBLSLASH.   'Escape' all back-slashes ("\") as double back-slashes ("\\").
/
/    result = dblslash (str);
/
/    Parameters:
/       char   *result;    (pointer to static array containing escaped string)
/       char   *str;       (string to be escaped)
/
/    Purpose:
/
/    How it works:
/
/    Returns: pointer to array containing result
/
/    Known bugs:      none
/
/    Home:  xins/dblslash.c
/ */

/*** Copyright (C) 1998 Screen Porch LLC.  All rights reserved. */

/*: CR 11/24/98 12:03 New function. */

#include <stdio.h>
#include "ins.h"
#define  MAX  400


FUNCTION  char *dblslash (char *str)
{
   static char result[MAX];
   int    rp;

   for (rp=0;   *str  &&  rp < MAX-2;   ++str) {
      result[rp++] = *str;
      if (*str == '\\')   result[rp++] = *str;
   }
   result[rp] = '\0';

   return (result);
}
