
/*** HTOP.   Write top of HTML page for each phase of installation.
/
/    htop (page, name, bodyopt);
/ 
/    Parameters:
/       int    page;
/       char  *name;     (page name)
/       char  *bodyopt;  (options for <BODY> tag)
/
/    Purpose:
/
/    How it works:
/
/    Returns:
/
/    Home:  xins/htop.c
/ */

/*** Copyright (C) 1998 Screen Porch LLC.  All rights reserved. */

/*: CR 11/10/98 14:28 1st version. */

#include <stdio.h>
#include "ins.h"

FUNCTION htop (int page, char *name, char *bodyopt)
{
   printf ("Content-type: text/html\n\n");
   printf ("<HTML>\n");
   printf ("<HEAD><TITLE>%d.%d %s</TITLE></HEAD>\n", page/100,
            (page%100)/10, name);
   printf ("<BODY BGCOLOR=\"#FFFFFF\" %s>\n", bodyopt);
   printf ("<TABLE WIDTH='100%%' CELLSPACING=0 CELLPADDING=0>\n");
   printf ("<TR><TD><TABLE><TR VALIGN=top><TD><FONT SIZE=+2>"
           "<B>%d.%d&nbsp;</B></FONT></TD>\n", 
             page/100, (page%100)/10);
   printf ("<TD><FONT SIZE=+2><B>%s</B></FONT></TD></TD></TABLE>\n", name);
   printf ("<TD ALIGN=right><A HREF='http://caucussystems.com' TARGET='_blank'>"
           "<IMG SRC='/lcaucus3.gif'\n"
           " WIDTH=192 HEIGHT=50 ALIGN=right BORDER=0></A></TD>\n");
   printf ("</TABLE>\n");

   return 1;
}
