
/*** HVARS.  Write state variables into HIDDEN fields in HTML form.
/
/    hvars (vars, except);
/ 
/    Parameters:
/       struct vars_t *vars;    (forms variables)
/       char          *except;  (don't write vars listed here)
/
/    Purpose:
/       Writes all state variables in VARS to HIDDEN fields in 
/       current HTML page (on STDOUT), *except* those variables
/       listed in EXCEPT.
/
/    How it works:
/
/    Returns:
/
/    Home:  xins/hvars.c
/ */

/*** Copyright (C) 1998 Screen Porch LLC.  All rights reserved. */

/*: CR 11/12/98 14:28 1st version. */

#include <stdio.h>
#include "ins.h"

FUNCTION hvars (struct vars_t *vars, char *except)
{
   int   slot, keep, token;
   char *strtoken();
   char  word[80];

   for (slot=0;   slot < vars->used;   ++slot) {
      for (keep=token=1;   strtoken (word, token, except) != NULL;   ++token) {
         if (streq (vars->name[slot], word)) { keep = 0;   break; }
      }
      if (keep) printf ("<INPUT TYPE=HIDDEN NAME=%s VALUE=\"%s\">\n",
                          vars->name[slot], vars->value[slot]);
   }

   return (1);
}
