$!---FIXNAMES.COM   Fix the Caucus 'names' files.  (MISC/names001, etc.).
$!
$!   Invoked as:
$!      @fixnames
$!
$!   Arguments:
$!
$!   Purpose:
$!      If the Caucus 'names' files get screwed up, 'fixnames' can
$!      rebuild them from the individual users' registration files.
$!
$!   How it works:
$!      Builds a list of userids from the USERnnn directories.
$!      Runs 'fname' program to rebuild the names files.
$!      Must be run from the Caucus home directory.
$!
$!   Notes:
$!      It may be possible to replace 'ls' with some DIR option, which
$!      would be desireable.
$!
$!   History of revisions:
$!: CR  4/09/93 12:17 Vax/VMS.
$!: CR  6/03/93 14:58 Fix syntax. 
$!: CR  6/17/93 11:45 Have script delete old names files.
$!-------------------------------------------------------------------------
$!
$ cwd = f$environment("default")
$ brk = f$locate("]",cwd)
$ cwd = f$extract(0,brk,cwd)
$ ls == "$''cwd'.bin2]ls.exe"
$ fn == "$''cwd'.bin2]fname.exe"
$!
$ set message/nofac/noid/nosev/notext
$ del         _fname.tmp;*
$ set message/fac/id/sev/text
$ ls -1 USER >_fname.tmp
$!
$ delete 'cwd'.misc]names%%%.;*
$!
$ fn 'cwd'    _fname.tmp
$!
$ del         _fname.tmp;*
$!-------------------------------------------------------------------------
