#
#---SWITCH.I    Define Caucus "switches" for this interface.
#
#   There are several CML variables which are used as "switches"
#   to control exactly how a particular Caucus interface works.
#
#   To change these switches, edit their definitions in this file.
#
#   The default values for these switches are contained in the
#   file defaults.i, located one level up in the directory structure.
#   DO NOT CHANGE THAT FILE!  The values in this file override the
#   default values.
#
#   As you install new versions of Caucus, you may find new switches in
#   the defaults.i file; if you wish to change them, copy the definitions
#   to switch.i and change them here.
#
#  Revision history:
#: CR  1/31/96 12:52 1.0     release version
#: CR  6/16/96 23:29 3.0/i02 release version
#: CR 10/21/96 15:23 3.1/i04 release version
#: CR  2/14/96718:52 3.1/final release version
#==============================================================
#
#---SWEB         Name of 'ScriptAlias' directory for Caucus URLs
#
#   Caucus URLs include a directory, usually called "sweb", that
#   contains the CGI entry points to the Caucus programs.
#
#   If you have multiple independent Caucus environments on one
#   host, you may need different 'sweb' directories.
#
#   Normally, you should leave this variable unchanged.

set sweb  sweb

#==============================================================
#
#  The rest of the values are included from switch2.i
#
include $(inc)/switch2.i

#==============================================================
#
#  Macro definitions have their own, separate, file.
#
include $(inc)/macros.i


#==============================================================
#                            END OF SWITCH.I
#==============================================================
