#
#---H_MAN_DATE.I    Help about "Manage Users by Date" page
#

set help_not_found 0

"<B>What Is It?</B><BR>
"The $(help_about) page allows authorized managers to obtain a list of
"users who have not logged into Caucus since a particular date, and optionally
"delete them from the system.<P>

"It's often useful to be able to clear out idle accounts.  This option
"provides an easy mechanism for doing that.<P>

"<DL><DT><B>Generating the list:</B>
"<DD>At the first screen, enter a cut-off date in the indicated format. All
"users who have not logged in <I>since</I> that date will be listed for
"you on a subsequent page.  If you have large user population, you may wish
"to limit the number of users you see at once by entering a number in the
"text field on the next line.  The default display is 200 users.<P>

"Once you have picked a date, press the <B>Display</B> button to generate
"the list.<P>

"<DT><B>Deleting users:</B>
"<DD>Once the list is generated (it can take a few minutes), you'll see a
"list of real names, userids, and the date of their last login.  Next to
"each name is a checkbox.<P>

"To delete all of the listed users, press the <B>Delete All</B> button.<P>

"To delete some of the listed users, check the checkboxes next to those
"you wish to delete and press the <B>Delete Checked Users</B> button.<P>

"If you don't wish to delete any users, you can use the Compass Bar to 
"return to another location.
