#
#---H_MANAGE.I    Help about "Manage" page
#

set help_not_found 0

"<B>What Is It?</B><BR>
"The Caucus Management pages provide privileged individuals with the ability
"to globally manage Caucus conferences, users, and settings.

"<P>
"<B>What is on the Caucus Management Page?</B><P>

"<UL>

include $(helpdir)/h_pagetop.i

"</UL><P>
"<B>What can I do from here?</B><P>
"<DL><DT><B>Server Information:</B>
"<DD>The first section of the page displays the version of Caucus and the 
"number of registered users.<P>

"<DT><B>Management Options:</B>
"<DD>The second section of the page consists of links to all of the 
"different management functions.  Managers can be given privileges which 
"give them access to only some of the available functions, so you may not
"see this entire list.<P>

"Click on a link below for information about each of the function pages.<P>
"<DL>
"<DT><A HREF=$(help)/helpabou.cml?man_list+Manage_the_list_of_managers>
"Manage the list of managers</A>
"<DD>Define who can exercise manager privileges and what they can do.<P>

"<DT><A HREF=$(help)/helpabou.cml?man_org+Conference_organizers>
"Conference organizers</A>
"<DD>Change a conference's primary organizer or add yourself as an organizer.<P>

"<DT><A HREF=$(help)/helpabou.cml?man_create+Create_a_conference>
"Create a conference</A>
"<DD>Create a new conference with yourself as the primary organizer, or restore a conference from the archive. <P>

"<DT><A HREF=$(help)/helpabou.cml?man_archive+Archive_a_conference>
"Archive a conference</A>
"<DD>Save a compressed copy of a conference in the archive. <P>

"<DT><A HREF=$(help)/helpabou.cml?man_remove+Delete_a_conference>
"Delete a conference</A>
"<DD>Completely remove a conference and its contents from the system.<P>

"<DT><A HREF=$(help)/helpabou.cml?man_switch+Edit_the_Caucus_switches>
"Edit the Caucus "switches"</A>
"<DD>Set the value of various variables that control the way Caucus behaves.<P>

"<DT><A HREF=$(help)/helpabou.cml?man_popular+Edit_the_Popular_Conference_List>
"Edit the Popular Conference list</A>
"<DD>Set the conference choices offered to new users.<P>

"<DT><A HREF=$(help)/helpabou.cml?man_groups+Manage_user_groups>
"Manage user groups</A>
"<DD>Create, edit, and delete user groups.<P>

"<DT><A HREF=$(help)/helpabou.cml?man_users+Manage_user_accounts>
"Manage individual user accounts</A>
"<DD>Create userids, delete userids, or change passwords, depending on your privileges. <P>

"<DT><A HREF=$(help)/helpabou.cml?man_date+Manage_users_by_date>
"Manage users by date</A>
"<DD>List and optionally delete users by date of last access. <P>

"<DT><A HREF=$(help)/helpabou.cml?man_shut+Shutdown_Caucus>
"Shutdown Caucus</A>
"<DD>Shutdown all Caucus processes and users, and optionally restart the Caucus server. 

"</DL></DL><P>