#
#---H_UPLOAD.I    Help about the Upload Page
#

set help_not_found 0

"<B>What Is It?</B><BR>
"The Upload File Page lets you copy ("upload") a file from your
"computer into an item or
"response in a Caucus conference, so that conference participants may 
"see or share the file.

"<P>
"<B>What Can I Do From Here?</B><BR>
"From this page you can browse your computer to find the file 
"you wish to upload, and tell Caucus exactly how to treat it
"in the conference.

"<P>
"The rest of this help page describes the different parts of
"the Upload File Page in detail.

"<P><OL>

include $(helpdir)/h_pagetop.i

"<P><LI>
   "<B>Choose a File to Upload:</B>&nbsp;
   "Where it says "I want to upload the file named:",
   "press the <B>Browse</B> button.&nbsp;
   "This opens a standard file dialogue box, which lets
   "you "browse" through your computer to locate the file you 
   "want to upload.&nbsp;
   "Once you've found the file you want, double-click on it, and
   "the dialogue box should close.

   "<P>
   "If you prefer, you may instead click in the small text box, 
   "and type the full name (including directories) of the file
   "you wish to upload.&nbsp;
   "But using the Browse button is typically much easier.

   "<P>
   "(<I>If you don't see a Browse button</I>: your browser does not
   "support file uploading.&nbsp;
   "We recommend that you try 
   "%url(http://home.netscape.com Netscape) 2 or 3.)

   "<P>
   "<I>Uploading multiple files:</I>&nbsp; 
   "You may upload as many files as you like into your item or 
   "response.&nbsp;  
   "Each file, however, requires a separate visit to the 
   "<B>Upload File</B> page.&nbsp;  
   "Each time you visit the page, you may upload a <I>single</I> file.&nbsp;
   "If you wish to upload three files, you must visit the 
   "Upload File page three times.


"<P><LI>
   "<B>What kind of file is this?</B>:&nbsp;
   "Where it says "Show my file as:", you must
   "tell Caucus how to treat your file, by clicking on one
   "of the little "radio buttons":
   "<UL>
   "<LI><B>Plain text</B> means that Caucus uploads 
   "   the text of your file directly into the big text box
   "   where you were creating your item or response.&nbsp;
   "   (If you already had text in that box, the contents of the
   "   file are added onto the end.)
   "<P>
   "   Note that for this choice, your file must contain "plain" or "ascii"
   "   text.&nbsp;
   "   (If you prepared your file in a word processor, you must
   "   "save as" plain text.)&nbsp;
   "   If this is confusing, please see your network support person or
   "   a knowledgeable friend.

   "<P>
   "<LI><B>HTML</B> uploads your file into the big text box, where
   "   Caucus treats it as HTML code.&nbsp;
   "   This is the best way to copy an entire web page directly into your
   "   response.

   "<P>
   "<LI><B>a URL</B> means that Caucus will place a URL (a link
   "    that begins with "http:")
   "    <B>to your file</B> into your item or response.&nbsp;
   "   Other people in the conference will see the URL and may
   "   click on it to get your file.

   "<P>
   "<LI><B>a link named:</B> &nbsp;
   "   is very similar to the <B>URL</B> choice.&nbsp;
   "   Caucus places a link to your file into your item or response.&nbsp;
   "   But in this case, you get to choose what to call the link.&nbsp;
   "   Click in the text box next to the button, and type the name you want
   "   for the link.

   "<P>
   "<LI><B>an image</B> means you are uploading an image file, such
   " as a gif or jpeg file.&nbsp;
   " Caucus will display the image <B>as part of</B> your item 
   "or response.&nbsp;
   "</UL>

"<P><LI>
   "<B>Press Upload!</B>&nbsp; 
   "When you've finished the previous steps, press the <B>Upload</B>
   "button.&nbsp;
   "Caucus automatically uploads the file you chose, and then
   "takes you back to the Item (or Create Item) page where you started.&nbsp;

   "<P>
   "Once you are back at the response (or new item) text box, 
   "you'll see some new text in the box.&nbsp;
   "If you chose "plain text" or "HTML", you'll see the text of your
   "file in the box.&nbsp;
   "If you chose "a URL", you'll see the actual URL of your file.&nbsp;
   "If you chose "a link" or "an image", you'll see the HTML code
   "to display the link or the image.

   "<P>
   "<B>To finish the upload process</B>, you must push the appropriate button
   "to <B>Post</B> your response (or create your item).&nbsp;
   "When uploading files, it's a good idea to press <B>Post+View</B>
   "(or Create+View), to see what the final result looks like.
"</OL>

