$!---PROMPT.COM  Ask user a question, and require a return or 1-word answer.
$!
$!   Invoked as:
$!      @prompt
$!
$!   Symbols used:
$!      text        (text of question to display)
$!      defa        (default answer to question)
$!      answer      (where to put answer to question)
$!
$!   Purpose:
$!      Prompt the user to answer a question.  Place answer in 
$!      symbol "answer".
$!
$!   How it works:
$!      Displays TEXT on sys$output.  Reads user's answer from sys$command.
$!      If user presses return, set answer to default.
$!      If user types an answer, set answer appropriately.
$!
$!: CR  4/01/93 12:00 New script.
$!------------------------------------------------------------------
$!
$ write sys$output " "
$ read/prompt="''text'" sys$command ans
$ if ans + "x" .eqs. "x" THEN goto blank
$    answer :== "''ans'"
$    goto done
$!
$blank:
$    answer :== 'defa'
$!
$done:
$!------------------------------------------------------------------
